#!/bin/sh

set -e

# Store Output
OUT="$(pwd)/out"
find "${OUT}" -type f -delete

# Build
cd workspace/build
for type in *; do
    cd "${type}"
    ../../crosstool-ng/ct-ng build
    # Compress
    NAME="arm-toolchain-${type}"
    mv out "${NAME}"
    tar -cJf "${OUT}/${NAME}.tar.xz" "${NAME}"
    # Clean Up
    rm -rf "${NAME}"
    cd ../
done